io.vertx.reactivex.ext.web.handler

## Class BodyHandler

- java.lang.Object
- - io.vertx.reactivex.ext.web.handler.BodyHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class BodyHandler
      extends Object
      implements Handler<RoutingContext>

  A handler which gathers the entire request body and sets it on the .

  It also handles HTTP file uploads and can be used to limit body sizes.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<BodyHandler>` | `__TYPE_ARG`
    `static long` | `DEFAULT_BODY_LIMIT` Default max size for a request body in bytes = `10485760`, i.e.
    `static boolean` | `DEFAULT_DELETE_UPLOADED_FILES_ON_END` Default value of whether uploaded files should be removed after handling the request
    `static boolean` | `DEFAULT_MERGE_FORM_ATTRIBUTES` Default value of whether form attributes should be merged into request params
    `static boolean` | `DEFAULT_PREALLOCATE_BODY_BUFFER` Default value of whether to pre-allocate the body buffer size according to the content-length HTTP request header
    `static String` | `DEFAULT_UPLOADS_DIRECTORY` Default uploads directory on server for file uploads

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BodyHandler(BodyHandler delegate)`
    `BodyHandler(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BodyHandler` | `create()` Create a body handler with defaults.
    `static BodyHandler` | `create(boolean handleFileUploads)` Create a body handler setting if it should handle file uploads.
    `static BodyHandler` | `create(String uploadDirectory)` Create a body handler and use the given upload directory.
    `boolean` | `equals(Object o)`
    `BodyHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static BodyHandler` | `newInstance(BodyHandler arg)`
    `BodyHandler` | `setBodyLimit(long bodyLimit)` Set the maximum body size in bytes, `-1` means no limit.
    `BodyHandler` | `setDeleteUploadedFilesOnEnd(boolean deleteUploadedFilesOnEnd)` Set whether uploaded files should be removed after handling the request.
    `BodyHandler` | `setHandleFileUploads(boolean handleFileUploads)` Set whether file uploads will be handled.
    `BodyHandler` | `setMergeFormAttributes(boolean mergeFormAttributes)` Set whether form attributes will be added to the request parameters.
    `BodyHandler` | `setPreallocateBodyBuffer(boolean isPreallocateBodyBuffer)` Pre-allocate the body buffer according to the value parsed from content-length header.
    `BodyHandler` | `setUploadsDirectory(String uploadsDirectory)` Set the uploads directory to use.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<BodyHandler> __TYPE_ARG

    - #### DEFAULT_BODY_LIMIT

          public static final long DEFAULT_BODY_LIMIT

      Default max size for a request body in bytes = `10485760`, i.e. 10 megabytes
      See Also:
        Constant Field Values

    - #### DEFAULT_UPLOADS_DIRECTORY

          public static final String DEFAULT_UPLOADS_DIRECTORY

      Default uploads directory on server for file uploads
      See Also:
        Constant Field Values

    - #### DEFAULT_MERGE_FORM_ATTRIBUTES

          public static final boolean DEFAULT_MERGE_FORM_ATTRIBUTES

      Default value of whether form attributes should be merged into request params
      See Also:
        Constant Field Values

    - #### DEFAULT_DELETE_UPLOADED_FILES_ON_END

          public static final boolean DEFAULT_DELETE_UPLOADED_FILES_ON_END

      Default value of whether uploaded files should be removed after handling the request
      See Also:
        Constant Field Values

    - #### DEFAULT_PREALLOCATE_BODY_BUFFER

          public static final boolean DEFAULT_PREALLOCATE_BODY_BUFFER

      Default value of whether to pre-allocate the body buffer size according to the content-length HTTP request header
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BodyHandler

          public BodyHandler(BodyHandler delegate)

    - #### BodyHandler

          public BodyHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public BodyHandler getDelegate()

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### create

          public static BodyHandler create()

      Create a body handler with defaults.
      Returns:
        the body handler

    - #### create

          public static BodyHandler create(boolean handleFileUploads)

      Create a body handler setting if it should handle file uploads.
      Parameters:
        `handleFileUploads` - true if files upload should be handled
      Returns:
        the body handler

    - #### create

          public static BodyHandler create(String uploadDirectory)

      Create a body handler and use the given upload directory.
      Parameters:
        `uploadDirectory` - the uploads directory
      Returns:
        the body handler

    - #### setHandleFileUploads

          public BodyHandler setHandleFileUploads(boolean handleFileUploads)

      Set whether file uploads will be handled.
      Parameters:
        `handleFileUploads` - true if they should be handled
      Returns:
        reference to this for fluency

    - #### setBodyLimit

          public BodyHandler setBodyLimit(long bodyLimit)

      Set the maximum body size in bytes, `-1` means no limit.
      Parameters:
        `bodyLimit` - the max size in bytes
      Returns:
        reference to this for fluency

    - #### setUploadsDirectory

          public BodyHandler setUploadsDirectory(String uploadsDirectory)

      Set the uploads directory to use.
      Parameters:
        `uploadsDirectory` - the uploads directory
      Returns:
        reference to this for fluency

    - #### setMergeFormAttributes

          public BodyHandler setMergeFormAttributes(boolean mergeFormAttributes)

      Set whether form attributes will be added to the request parameters.
      Parameters:
        `mergeFormAttributes` - true if they should be merged
      Returns:
        reference to this for fluency

    - #### setDeleteUploadedFilesOnEnd

          public BodyHandler setDeleteUploadedFilesOnEnd(boolean deleteUploadedFilesOnEnd)

      Set whether uploaded files should be removed after handling the request.
      Parameters:
        `deleteUploadedFilesOnEnd` - true if uploaded files should be removed after handling the request
      Returns:
        reference to this for fluency

    - #### setPreallocateBodyBuffer

          public BodyHandler setPreallocateBodyBuffer(boolean isPreallocateBodyBuffer)

      Pre-allocate the body buffer according to the value parsed from content-length header. The buffer is capped at 64KB
      Parameters:
        `isPreallocateBodyBuffer` - `true` if body buffer is pre-allocated according to the size read from content-length Header. {code false} if body buffer is pre-allocated to 1KB, and is resized dynamically
      Returns:
        reference to this for fluency

    - #### newInstance

          public static BodyHandler newInstance(BodyHandler arg)

Copyright © 2024 Eclipse. All rights reserved.